---
type: api
title: Retrieve the status of detection alert migrations
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-readalertsmigrationstatus
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-readalertsmigrationstatus
products:
  - Kibana
---

# Retrieve the status of detection alert migrations

deprecated

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/detection_engine/signals/migration_status`
- `GET` `/s/{space_id}/api/detection_engine/signals/migration_status`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

**DEPRECATED.** This endpoint was used for historical `.siem-signals-*` index migration workflows. Do not use
for new automations; there is no supported replacement in this public API.
**WARNING:** Prefer upgrading through supported Elastic stack upgrades rather than ad-hoc index migrations.

Retrieves indices that contain detection alerts of a particular age, along with migration information for
each of those indices.

## Query String Parameters

- `from` (string)
  Maximum age of qualifying detection alerts

## Responses

#### `200`

Successful response

`application/json`

- `indices` ([] object)
  - `index` (string · min: 1)
    A string that does not contain only whitespace characters
  - `is_outdated` (boolean)
  - `migrations` ([] object)
    - `id` (string · min: 1)
      A string that does not contain only whitespace characters
    - `status` (enum)
      Values: `success`, `failure`, `pending`
    - `updated` (string)
    - `version` (integer)
  - `signal_versions` ([] object)
    - `count` (integer)
    - `version` (integer)
  - `version` (integer)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/detection_engine/signals/migration_status?from={from}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/detection_engine/signals/migration_status?from={from}"
```

## Response Examples

#### Success

```json
{
  "indices": [
    {
      "index": ".siem-signals-default-000002",
      "is_outdated": true,
      "migrations": [
        {
          "id": "924f7c50-505f-11eb-ae0a-3fa2e626a51d",
          "status": "pending",
          "updated": "2021-01-06T20:41:37.173Z",
          "version": 16
        }
      ],
      "signal_versions": [
        {
          "count": 100,
          "version": 15
        },
        {
          "count": 87,
          "version": 16
        }
      ],
      "version": 15
    },
    {
      "index": ".siem-signals-default-000003",
      "is_outdated": false,
      "migrations": [],
      "signal_versions": [
        {
          "count": 54,
          "version": 16
        }
      ],
      "version": 16
    }
  ]
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "[request query].from: expected date-math, received null",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\n\tRoot causes:\n\t\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

